package net.hoopajoo.cheeselab3;
import java.net.ServerSocket;

public class BrokerServer extends Thread {
	private ServerSocket server = null;
	
	BrokerServer() {
		try {
			server = new ServerSocket( Integer.parseInt( CheeseProxy.props.getProperty( "map_port" ) ) );
		}catch( Exception e ) {
			e.printStackTrace();
		}
	}
	
	public void run() {
		CheeseLab.dmesg( 1, "Accepting connections for the broker" );
		while( true ) {
			try {
				BrokerThread  bt = new BrokerThread( server.accept() );
				bt.start();
			}catch( Exception e ) {
				e.printStackTrace();
				System.exit( 1 );
			}
		}
	}

}
